Skip to main content
POST
/
2025-04
/
log-level
/
advertisers
/
{advertiser-id}
/
report
/2025-04/log-level/advertisers/{advertiser-id}/report
curl --request POST \
  --url https://api.criteo.com/2025-04/log-level/advertisers/{advertiser-id}/report \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "shouldDisplayProductIds": false,
  "startDate": "2024-01-01T00:00:00.0000000+00:00",
  "endDate": "2024-01-04T00:00:00.0000000+00:00"
}
'
{
  "data": [
    {
      "attributes": {
        "advertiserId": "<string>",
        "files": [
          {
            "fileName": "<string>",
            "url": "<string>"
          }
        ],
        "tokenValidUntil": "2023-11-07T05:31:56Z"
      },
      "type": "<string>"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

advertiser-id
string<int32>
required

The advertiser ID to fetch the transparency data for. The advertiser must already exist. Must be greater than 0.

Body

The query message.

This is the message defining the query for Transparency report

endDate
string<date-time>
required

End date of the report. Date component of ISO 8601 format, any time or timezone component is ignored.

startDate
string<date-time>
required

Start date of the report. Date component of ISO 8601 format, any time or timezone component is ignored. Must be ≤ endDate.

shouldDisplayProductIds
boolean
default:false

Specify if the product ids are displayed in the report.

Response

Success

A top-level object that encapsulates a Criteo API response for several value objects.

data
object[] | null
errors
object[] | null
read-only

Errors that occured during this call.

warnings
object[] | null
read-only

Warnings that occured during this call.